"""Data sets."""

from aim2dat.utils.data import atomic_radii, electronegativity


__all__ = ["atomic_radii", "electronegativity"]

element_groups = {
    "H": ["non-metal"],
    "He": ["non-metal", "noble gas"],
    "Li": ["metal", "alkaline"],
    "Be": ["metal", "alkaline earth"],
    "B": ["non-metal", "metalloid"],
    "C": ["non-metal"],
    "N": ["non-metal", "pnictogen"],
    "O": ["non-metal", "chalcogen"],
    "F": ["non-metal", "halogen"],
    "Ne": ["non-metal", "noble gas"],
    "Na": ["metal", "alkaline"],
    "Mg": ["metal", "alkaline earth"],
    "Al": ["metal"],
    "Si": ["non-metal", "metalloid"],
    "P": ["non-metal", "pnictogen"],
    "S": ["non-metal", "chalcogen"],
    "Cl": ["non-metal", "halogen"],
    "Ar": ["non-metal", "noble gas"],
    "K": ["metal", "alkaline"],
    "Ca": ["metal", "alkaline earth"],
    "Sc": ["metal", "transition metal"],
    "Ti": ["metal", "transition metal"],
    "V": ["metal", "transition metal"],
    "Cr": ["metal", "transition metal"],
    "Mn": ["metal", "transition metal"],
    "Fe": ["metal", "transition metal"],
    "Co": ["metal", "transition metal"],
    "Ni": ["metal", "transition metal"],
    "Cu": ["metal", "transition metal"],
    "Zn": ["metal", "transition metal"],
    "Ga": ["metal"],
    "Ge": ["non-metal", "metalloid"],
    "As": ["non-metal", "metalloid", "pnictogen"],
    "Se": ["non-metal", "chalcogen"],
    "Br": ["non-metal", "halogen"],
    "Kr": ["non-metal", "noble gas"],
    "Rb": ["metal", "alkaline"],
    "Sr": ["metal", "alkaline earth"],
    "Y": ["metal", "transition metal"],
    "Zr": ["metal", "transition metal"],
    "Nb": ["metal", "transition metal"],
    "Mo": ["metal", "transition metal"],
    "Tc": ["metal", "transition metal"],
    "Ru": ["metal", "transition metal"],
    "Rh": ["metal", "transition metal"],
    "Pd": ["metal", "transition metal"],
    "Ag": ["metal", "transition metal"],
    "Cd": ["metal", "transition metal"],
    "In": ["metal"],
    "Sn": ["metal"],
    "Sb": ["non-metal", "metalloid", "pnictogen"],
    "Te": ["non-metal", "metalloid", "chalcogen"],
    "I": ["non-metal", "halogen"],
    "Xe": ["non-metal", "noble gas"],
    "Cs": ["metal", "alkaline"],
    "Ba": ["metal", "alkaline earth"],
    "La": ["metal", "rare earth"],
    "Pr": ["metal", "rare earth"],
    "Nd": ["metal", "rare earth"],
    "Pm": ["metal", "rare earth"],
    "Sm": ["metal", "rare earth"],
    "Eu": ["metal", "rare earth"],
    "Gd": ["metal", "rare earth"],
    "Tb": ["metal", "rare earth"],
    "Dy": ["metal", "rare earth"],
    "Ho": ["metal", "rare earth"],
    "Er": ["metal", "rare earth"],
    "Tm": ["metal", "rare earth"],
    "Yb": ["metal", "rare earth"],
    "Lu": ["metal", "rare earth"],
    "Hf": ["metal", "transition metal"],
    "Ta": ["metal", "transition metal"],
    "W": ["metal", "transition metal"],
    "Re": ["metal", "transition metal"],
    "Os": ["metal", "transition metal"],
    "Ir": ["metal", "transition metal"],
    "Pt": ["metal", "transition metal"],
    "Au": ["metal", "transition metal"],
    "Hg": ["metal", "transition metal"],
    "Tl": ["metal"],
    "Pb": ["metal"],
    "Bi": ["metal", "pnictogen"],
    "Po": ["non-metal", "metalloid", "chalcogen"],
    "At": ["non-metal", "halogen"],
    "Rn": ["non-metal", "noble gas"],
    "Ac": ["metal"],
    "Th": ["metal"],
    "Pa": ["metal"],
    "U": ["metal"],
    "Np": ["metal"],
    "Pu": ["metal"],
    "Am": ["metal"],
    "Cm": ["metal"],
    "Bk": ["metal"],
    "Cf": ["metal"],
    "Es": ["metal"],
    "Fm": ["metal"],
    "Md": ["metal"],
    "No": ["metal"],
    "Lr": ["metal"],
    "Rf": ["metal", "transition metal"],
    "Db": ["metal", "transition metal"],
    "Sg": ["metal", "transition metal"],
    "Bh": ["metal", "transition metal"],
    "Hs": ["metal", "transition metal"],
    "Mt": ["metal", "transition metal"],
    "Ds": ["metal", "transition metal"],
    "Rg": ["metal", "transition metal"],
    "Cn": ["metal", "transition metal"],
    "Nh": ["metal"],
    "Fl": ["metal"],
    "Mc": ["metal", "pnictogen"],
    "Lv": ["metal"],
    "Ts": ["non-metal", "halogen"],
    "Og": ["non-metal", "noble gas"],
}
