"""Data sets of atomic radii."""

chen_manz = {
    "sources": ["https://doi.org/10.1039/C9RA07327B"],
    "H": 0.38,
    "He": None,
    "Li": 0.86,
    "Be": 0.53,
    "B": 1.01,
    "C": 0.88,
    "N": 0.86,
    "O": 0.89,
    "F": 0.82,
    "Ne": None,
    "Na": 1.15,
    "Mg": 1.28,
    "Al": 1.53,
    "Si": 1.38,
    "P": 1.28,
    "S": 1.20,
    "Cl": 1.17,
    "Ar": None,
    "K": 1.44,
    "Ca": 1.17,
    "Sc": 1.62,
    "Ti": 1.65,
    "V": 1.51,
    "Cr": 1.53,
    "Mn": 1.53,
    "Fe": 1.43,
    "Co": 1.31,
    "Ni": 1.33,
    "Cu": 1.31,
    "Zn": 1.41,
    "Ga": 1.40,
    "Ge": 1.35,
    "As": 1.39,
    "Se": 1.40,
    "Br": 1.39,
    "Kr": None,
    "Rb": 1.65,
    "Sr": 1.30,
    "Y": 1.84,
    "Zr": 1.73,
    "Nb": 1.66,
    "Mo": 1.57,
    "Tc": None,
    "Ru": 1.58,
    "Rh": 1.63,
    "Pd": 1.68,
    "Ag": 1.56,
    "Cd": 1.56,
    "In": 1.53,
    "Sn": 1.64,
    "Sb": 1.64,
    "Te": 1.65,
    "I": 1.58,
    "Xe": None,
    "Cs": 1.85,
    "Ba": 1.52,
    "La": 1.91,
    "Ce": 1.98,
    "Pr": 1.75,
    "Nd": 1.92,
    "Pm": None,
    "Sm": 1.89,
    "Eu": 1.83,
    "Gd": 1.79,
    "Tb": 1.82,
    "Dy": 1.79,
    "Ho": 1.63,
    "Er": 1.80,
    "Tm": 1.84,
    "Yb": 1.80,
    "Lu": 1.86,
    "Hf": 1.73,
    "Ta": None,
    "W": 1.33,
    "Re": 1.29,
    "Os": None,
    "Ir": 1.50,
    "Pt": 1.66,
    "Au": 1.68,
    "Hg": 1.88,
    "Tl": None,
    "Pb": 1.72,
    "Bi": 1.72,
    "Po": None,
    "At": None,
    "Rn": None,
    "Fr": None,
    "Ra": None,
    "Ac": None,
    "Th": 1.97,
    "Pa": None,
    "U": 1.76,
    "Np": 1.73,
    "Pu": 1.71,
    "Am": None,
    "Cm": None,
    "Bk": None,
    "Cf": None,
    "Es": None,
    "Fm": None,
    "Md": None,
    "No": None,
    "Lr": None,
    "Rf": None,
    "Db": None,
    "Sg": None,
    "Bh": None,
    "Hs": None,
    "Mt": None,
    "Ds": None,
    "Rg": None,
    "Cn": None,
    "Nh": None,
    "Fl": None,
    "Mc": None,
    "Lv": None,
    "Ts": None,
    "Og": None,
}


vdw_charry_tkatchenko = {
    "sources": ["https://doi.org/10.26434/chemrxiv-2024-m3rtp-v2"],
    "H": 3.164697,
    "He": 2.672999,
    "Li": 5.289595,
    "Be": 4.2875,
    "B": 3.9302,
    "C": 3.6096,
    "N": 3.398,
    "O": 3.240,
    "F": 3.0822,
    "Ne": 2.935712,
    "Na": 5.2850,
    "Mg": 4.6952,
    "Al": 4.5574,
    "Si": 4.281,
    "P": 4.043,
    "S": 3.8993,
    "Cl": 3.7441,
    "Ar": 3.600377,
    "K": 5.7384,
    "Ca": 5.276,
    "Sc": 4.907,
    "Ti": 4.929,
    "V": 4.832,
    "Cr": 4.799,
    "Mn": 4.664,
    "Fe": 4.603,
    "Co": 4.525,
    "Ni": 4.451,
    "Cu": 4.425,
    "Zn": 4.3036,
    "Ga": 4.464,
    "Ge": 4.324,
    "As": 4.150,
    "Se": 4.130,
    "Br": 3.944,
    "Kr": 3.819973,
    "Rb": 5.8196,
    "Sr": 5.4300,
    "Y": 5.280,
    "Zr": 5.009,
    "Nb": 4.914,
    "Mo": 4.832,
    "Tc": 4.765,
    "Ru": 4.703,
    "Rh": 4.64,
    "Pd": 4.0681,
    "Ag": 4.525,
    "Cd": 4.411,
    "In": 4.635,
    "Sn": 4.501,
    "Sb": 4.369,
    "Te": 4.292,
    "I": 4.2049,
    "Xe": 4.0943,
    "Cs": 6.0103,
    "Ba": 5.686,
    "La": 5.498,
    "Ce": 5.461,
    "Pr": 5.502,
    "Nd": 5.472,
    "Pm": 5.442,
    "Sm": 5.410,
    "Eu": 5.377,
    "Gf": 5.262,
    "Tb": 5.317,
    "Dy": 5.294,
    "ho": 5.252,
    "Er": 5.223,
    "Tm": 5.192,
    "Yb": 5.166,
    "Lu": 5.155,
    "Hf": 4.950,
    "Ta": 4.72,
    "W": 4.66,
    "Re": 4.603,
    "Os": 4.548,
    "Ir": 4.513,
    "Pt": 4.438,
    "Au": 4.259,
    "Hg": 4.2230,
    "Tl": 4.464,
    "Pb": 4.425,
    "Bi": 4.438,
    "Po": 4.383,
    "At": 4.354,
    "Rn": 4.242,
    "Fr": 5.8144,
    "Ra": 5.605,
    "Ac": 5.453,
    "Th": 5.51,
    "Pa": 5.242,
    "U": 5.111,
    "Np": 5.228,
    "Pu": 5.13,
    "Am": 5.12,
    "Cm": 5.19,
    "Bk": 5.09,
    "Cf": 5.07,
    "Es": 5.05,
    "Fm": 5.02,
    "Md": 4.99,
    "No": 4.996,
    "Lr": 5.820,
    "Rf": 5.009,
    "Db": 4.354,
    "Sg": 4.324,
    "Bh": 4.292,
    "Hs": 4.259,
    "Mt": 4.225,
    "Ds": 4.188,
    "Rg": 4.19,
    "Cn": 4.109,
    "Nh": 4.130,
    "Fl": 4.169,
    "Mc": 4.69,
    "Lv": None,
    "Ts": 4.74,
    "Og": 4.560,
}
