"""Data sets of electronegativity."""

pauling = {
    "sources": ["http://www.webelements.com/"],
    "H": 2.20,
    "He": None,
    "Li": 0.98,
    "Be": 1.57,
    "B": 2.04,
    "C": 2.55,
    "N": 3.04,
    "O": 3.44,
    "F": 3.98,
    "Ne": None,
    "Na": 0.93,
    "Mg": 1.31,
    "Al": 1.61,
    "Si": 1.90,
    "P": 2.19,
    "S": 2.58,
    "Cl": 3.16,
    "Ar": None,
    "K": 0.82,
    "Ca": 1.00,
    "Sc": 1.36,
    "Ti": 1.54,
    "V": 1.63,
    "Cr": 1.66,
    "Mn": 1.55,
    "Fe": 1.83,
    "Co": 1.88,
    "Ni": 1.91,
    "Cu": 1.90,
    "Zn": 1.65,
    "Ga": 1.81,
    "Ge": 2.01,
    "As": 2.18,
    "Se": 2.55,
    "Br": 2.96,
    "Kr": 3.00,
    "Rb": 0.82,
    "Sr": 0.95,
    "Y": 1.22,
    "Zr": 1.33,
    "Nb": 1.6,
    "Mo": 2.16,
    "Tc": 1.90,
    "Ru": 2.2,
    "Rh": 2.28,
    "Pd": 2.20,
    "Ag": 1.93,
    "Cd": 1.69,
    "In": 1.78,
    "Sn": 1.96,
    "Sb": 2.05,
    "Te": 2.1,
    "I": 2.66,
    "Xe": 2.6,
    "Cs": 0.79,
    "Ba": 0.89,
    "La": 1.10,
    "Ce": 1.12,
    "Pr": 1.13,
    "Nd": 1.14,
    "Pm": None,
    "Sm": 1.17,
    "Eu": None,
    "Gd": 1.20,
    "Tb": None,
    "Dy": 1.22,
    "Ho": 1.23,
    "Er": 1.24,
    "Tm": 1.25,
    "Yb": None,
    "Lu": 1.27,
    "Hf": 1.3,
    "Ta": 1.5,
    "W": 2.36,
    "Re": 1.9,
    "Os": 2.2,
    "Ir": 2.20,
    "Pt": 2.28,
    "Au": 2.54,
    "Hg": 2.00,
    "Tl": 1.62,
    "Pb": 2.33,
    "Bi": 2.02,
    "Po": 2.0,
    "At": 2.2,
    "Rn": None,
    "Fr": None,
    "Ra": 0.9,
    "Ac": 1.1,
    "Th": 1.3,
    "Pa": 1.5,
    "U": 1.38,
    "Np": 1.36,
    "Pu": 1.28,
    "Am": 1.3,
    "Cm": 1.3,
    "Bk": 1.3,
    "Cf": 1.3,
    "Es": 1.3,
    "Fm": 1.3,
    "Md": 1.3,
    "No": 1.3,
    "Lr": None,
    "Rf": None,
    "Db": None,
    "Sg": None,
    "Bh": None,
    "Hs": None,
    "Mt": None,
    "Ds": None,
    "Rg": None,
    "Cn": None,
    "Nh": None,
    "Fl": None,
    "Mc": None,
    "Lv": None,
    "Ts": None,
    "Og": None,
}

allen = {
    "sources": [
        "https://doi.org/10.1021/ja00207a003",
        "https://doi.org/10.1021/ja992866e",
        "https://doi.org/10.1021/ja9928677",
    ],
    "H": 2.300,
    "He": 4.160,
    "Li": 0.912,
    "Be": 1.576,
    "B": 2.051,
    "C": 2.544,
    "N": 3.066,
    "O": 3.610,
    "F": 4.193,
    "Ne": 4.787,
    "Na": 0.869,
    "Mg": 1.293,
    "Al": 1.613,
    "Si": 1.916,
    "P": 2.253,
    "S": 2.589,
    "Cl": 2.869,
    "Ar": 3.242,
    "K": 0.734,
    "Ca": 1.034,
    "Sc": 1.19,
    "Ti": 1.38,
    "V": 1.53,
    "Cr": 1.65,
    "Mn": 1.75,
    "Fe": 1.80,
    "Co": 1.84,
    "Ni": 1.88,
    "Cu": 1.85,
    "Zn": 1.588,
    "Ga": 1.756,
    "Ge": 1.994,
    "As": 2.211,
    "Se": 2.424,
    "Br": 2.685,
    "Kr": 2.966,
    "Rb": 0.706,
    "Sr": 0.963,
    "Y": 1.12,
    "Zr": 1.32,
    "Nb": 1.41,
    "Mo": 1.47,
    "Tc": 1.51,
    "Ru": 1.54,
    "Rh": 1.56,
    "Pd": 1.58,
    "Ag": 1.87,
    "Cd": 1.521,
    "In": 1.656,
    "Sn": 1.824,
    "Sb": 1.984,
    "Te": 2.158,
    "I": 2.359,
    "Xe": 2.582,
    "Cs": 0.659,
    "Ba": 0.881,
    "La": None,
    "Ce": None,
    "Pr": None,
    "Nd": None,
    "Pm": None,
    "Sm": None,
    "Eu": None,
    "Gd": None,
    "Tb": None,
    "Dy": None,
    "Ho": None,
    "Er": None,
    "Tm": None,
    "Yb": None,
    "Lu": 1.09,
    "Hf": 1.16,
    "Ta": 1.34,
    "W": 1.47,
    "Re": 1.60,
    "Os": 1.65,
    "Ir": 1.68,
    "Pt": 1.72,
    "Au": 1.92,
    "Hg": 1.765,
    "Tl": 1.789,
    "Pb": 1.854,
    "Bi": 2.01,
    "Po": 2.19,
    "At": 2.39,
    "Rn": 2.60,
    "Fr": 0.67,
    "Ra": 0.89,
    "Ac": None,
    "Th": None,
    "Pa": None,
    "U": None,
    "Np": None,
    "Pu": None,
    "Am": None,
    "Cm": None,
    "Bk": None,
    "Cf": None,
    "Es": None,
    "Fm": None,
    "Md": None,
    "No": None,
    "Lr": None,
    "Rf": None,
    "Db": None,
    "Sg": None,
    "Bh": None,
    "Hs": None,
    "Mt": None,
    "Ds": None,
    "Rg": None,
    "Cn": None,
    "Nh": None,
    "Fl": None,
    "Mc": None,
    "Lv": None,
    "Ts": None,
    "Og": None,
}
